﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.MainForm;
using HeuristicLab.Data;
using HeuristicLab.Optimization;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization.Views {
  [View("RunCollectionDictionaryView")]
  [Content(typeof(ItemDictionary<StringValue, RunCollection>), IsDefaultView = false)]
  public sealed partial class RunCollectionDictionaryView : ItemDictionaryView<StringValue, RunCollection> {
    public new ItemDictionary<StringValue, RunCollection> Content {
      get { return (ItemDictionary<StringValue, RunCollection>)base.Content; }
      set { base.Content = value; }
    }

    public RunCollectionDictionaryView() {
      InitializeComponent();
    }
  }
}
